SparkFun SDP3x Arduino Library
===========================================================

[![SparkX Qwiic Differential Pressure Sensor SDP31 (SPX-17874)]()](https://www.sparkfun.com/products/17874)

[*SparkX Qwiic Differential Pressure Sensor SDP31 (SPX-17874)*](https://www.sparkfun.com/products/17874)

The SDP3x sensor family is Sensirion’s series of small differential pressure sensors designed for high-volume applications where size is a key requirement. It builds on the next generation CMOSens® sensor chip that is at the heart of Sensirion’s new differential pressure and flow sensing platform.

The digital SDP31 sensor features fast measurement speed, excellent accuracy and long-term stability and has no zero-point drift. Furthermore, it is reflow solderable and provides extended functionality, such as smart averaging, multiple temperature compensation modes, configurable I2C address and interrupts.

Able to measure differential pressures in the range +/- 500 Pascals (+/- 0.005 Atm), the SDP31 is ideally suited to air flow rate and air speed measurement. Need an air speed indicator for your drone or model aircraft? This could be the sensor for you!

This Arduino library provides full support for the SDP3x series.

SparkFun labored with love to create this code. Feel like supporting open source hardware?
Buy a [board](https://www.sparkfun.com/products/17874) from SparkFun!

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE.
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE.
* **library.properties** - General library properties for the Arduino package manager.

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfunX/Qwiic_Differential_Pressure_Sensor-SDP31)** - Main repository (including hardware files)

Products that use this library
--------------
* [SPX-17874](https://www.sparkfun.com/products/17874)- SparkX Version

License Information
-------------------

This product is _**open source**_!

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
